summaryrefslogtreecommitdiff
path: root/regress/sbin/iked
diff options
context:
space:
mode:
authortobhe <tobhe@cvs.openbsd.org>2020-09-10 20:40:19 +0000
committertobhe <tobhe@cvs.openbsd.org>2020-09-10 20:40:19 +0000
commit6d0c34fd2b657258559d9a3d51b43c78afa4d39e (patch)
tree656e0fadda829da325a1b7cb8c782f2d287d48bf /regress/sbin/iked
parente2cae62ed6b62f7343f5e791b412e1c865ac3ba3 (diff)
Refactor initial cleanup.
Diffstat (limited to 'regress/sbin/iked')
-rw-r--r--regress/sbin/iked/live/Makefile6
1 files changed, 4 insertions, 2 deletions
diff --git a/regress/sbin/iked/live/Makefile b/regress/sbin/iked/live/Makefile
index bc23891c8dd..1ce1a166e81 100644
--- a/regress/sbin/iked/live/Makefile
+++ b/regress/sbin/iked/live/Makefile
@@ -1,4 +1,4 @@
-# $OpenBSD: Makefile,v 1.16 2020/09/07 17:38:13 tobhe Exp $
+# $OpenBSD: Makefile,v 1.17 2020/09/10 20:40:18 tobhe Exp $
# Copyright (c) 2020 Tobias Heider <tobhe@openbsd.org>
#
@@ -183,7 +183,7 @@ setup_pf: pf.in
-ssh ${LEFT_SSH} "pfctl -f /tmp/pf.conf; pfctl -e"
-ssh ${RIGHT_SSH} "pfctl -f /tmp/pf.conf; pfctl -e"
-setup: cleanup setup_pf setup_certs
+setup: setup_pf setup_certs
.PHONY: setup_certs
@@ -217,6 +217,8 @@ left-from-ca-right.crt left.key: ca-right.crt ca-right.key
REGRESS_TARGETS = run-ping-fail
run-ping-fail:
@echo '======= $@ ========'
+ ssh ${LEFT_SSH} "ipsecctl -F; pkill iked || true"
+ ssh ${RIGHT_SSH} "ipsecctl -F; pkill iked || true"
${TEST_PING}; \
if [[ $$_ret -ne 1 ]]; then exit 1; fi